Get Orders
Get Orders
Query Parameters
customerId Customerid required
accountId Accountid
transactionType Transactiontype
manufacturerId Manufacturerid
productId Productid
orderStatus Orderstatus
pageNumber Pagenumber required
Page number for which the request is made
Example: 1
pageSize Pagesize required
Number of responses to be returned in a given page
Example: 20
Responses
- 200
- 422
Successful Response
application/json
Schema
Example (from schema)
Schema
- Array [
- ]
reqId Reqid
errors object[]
errorType Errortype
Error Type
errorMessage Errormessage
Error Message
data object
orderId Orderid
parentOrderId Parentorderid
refNumber Refnumber
investmentAccount Investmentaccount
accountId Accountid
manufacturerId Manufacturerid
manufacturerName Manufacturername
productId Productid
productName Productname
transactionType Transactiontype
orderStatus Orderstatus
orderUpdateDate Orderupdatedate
orderDate Orderdate
orderAmount Orderamount
customerPan Customerpan
transactionSlipUrl Transactionslipurl
eNachPaymentId Enachpaymentid
distributorId Distributorid
distributorName Distributorname
bankAccountInfo object
bankId Bankid
accountNumber Accountnumber
accountType Accounttype
bankAddress Bankaddress
bankCity Bankcity
bankCountry Bankcountry
bankName Bankname
bankPincode Bankpincode
bankState Bankstate
branch Branch
ifscCode Ifsccode
micrCode Micrcode
{
"reqId": "string",
"errors": [
{
"errorType": "string",
"errorMessage": "string"
}
],
"data": {
"orderId": 0,
"parentOrderId": 0,
"refNumber": "string",
"investmentAccount": "string",
"accountId": 0,
"manufacturerId": 0,
"manufacturerName": "string",
"productId": 0,
"productName": "string",
"transactionType": "string",
"orderStatus": "string",
"orderUpdateDate": "string",
"orderDate": "string",
"orderAmount": "string",
"customerPan": "string",
"transactionSlipUrl": "string",
"eNachPaymentId": "string",
"distributorId": 0,
"distributorName": "string",
"bankAccountInfo": {
"bankId": 0,
"accountNumber": "string",
"accountType": "string",
"bankAddress": "string",
"bankCity": "string",
"bankCountry": "string",
"bankName": "string",
"bankPincode": "string",
"bankState": "string",
"branch": "string",
"ifscCode": "string",
"micrCode": "string"
}
}
}
Validation Error
application/json
Schema
Example (from schema)
Schema
- Array [
- Array [
- ]
- ]
detail object[]
loc object[] required
oneOf
MOD1
MOD2
string
integer
msg Message required
type Error Type required
{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string"
}
]
}
Loading...